Subject: bug#35180: 27.0.50; emacs daemon and “package” often inserts [I when opening file

From: Han Boetes <[email-masked]>
Date: Sat, 27 Apr 2019 11:26:17 +0200

Digging further and stripping out more unnecessary options that are not
required to reproduce this issue: I got down to this:

cd
mv ~/.emacs.d{,.orig}
mkdir .emacs.d
touch .emacs.d/init.el
xrdb -remove
xrdb -query # Just to prove there are no Xresources active

pkill emacs; sleep 1; /usr/local/bin/emacs –no-init-file –no-site-file
–no-splash –daemon; emacsclient -t .emacs.d/init.el

File Edit Options Buffers Tools Emacs-Lisp Help
[I

This happens about 25% of the time. But if I replace “–no-init-file
–no-site-file –no-splash”
 with “-Q” it no longer happens. It seems there is an undocumented
difference here.

I straced it and this is what I got: Check the write() line, see also the
attachment for the complete strace file.

6288  symlink("[email-masked]:1555184048", "/home/han/.emacs.d/.#init.el")
= 0
6288  rt_sigprocmask(SIG_BLOCK, [INT ALRM], [], 8) = 0
6288  rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
6288  rt_sigprocmask(SIG_BLOCK, [INT ALRM], [], 8) = 0
6288  rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
6288  timerfd_settime(3, TFD_TIMER_ABSTIME, {it_interval={tv_sec=0,
tv_nsec=0}, it_value={tv_sec=1556356192, tv_nsec=658825215}}, NULL) = 0
6288  rt_sigprocmask(SIG_BLOCK, [INT ALRM], [], 8) = 0
6288  rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
6288  rt_sigprocmask(SIG_BLOCK, [WINCH IO], NULL, 8) = 0
6288  brk(0xcae000)                     = 0xcae000
6288  brk(0xca3000)                     = 0xca3000
6288  write(8, "\33[44d\33[K\33[2d\33[?25l[I\33[43;7H\33[30m"..., 80) = 80
6288  rt_sigprocmask(SIG_UNBLOCK, [WINCH IO], NULL, 8) = 0
6288  ioctl(8, FIONREAD, [0])           = 0
6288  rt_sigprocmask(SIG_BLOCK, [INT], [], 8) = 0
6288  rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0